org.eclnt.jsfserver.elements.componentnodes

## Class HTCOLDISTANCENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTCOLDISTANCENode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTCOLDISTANCENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTCOLDISTANCENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTCOLDISTANCENode` | `bindComment(IDynamicContentBindingObject value)`
    `HTCOLDISTANCENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTCOLDISTANCENode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTCOLDISTANCENode` | `bindStyleClass(IDynamicContentBindingObject value)`
    `HTCOLDISTANCENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTCOLDISTANCENode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTCOLDISTANCENode` | `setAttributemacro(java.lang.String value)`
    `HTCOLDISTANCENode` | `setComment(java.lang.String value)`
    `HTCOLDISTANCENode` | `setConfiginfo(java.lang.String value)`
    `HTCOLDISTANCENode` | `setId(java.lang.String value)`
    `HTCOLDISTANCENode` | `setReference(java.lang.String value)`
    `HTCOLDISTANCENode` | `setRendered(boolean value)`
    `HTCOLDISTANCENode` | `setRendered(java.lang.String value)`
    `HTCOLDISTANCENode` | `setStyleClass(java.lang.String value)`
    `HTCOLDISTANCENode` | `setStylevariant(java.lang.String value)`
    `HTCOLDISTANCENode` | `setWidth(int value)`
    `HTCOLDISTANCENode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTCOLDISTANCENode

          public HTCOLDISTANCENode()

  - ### Method Detail

    - #### setId

          public HTCOLDISTANCENode setId(java.lang.String value)

    - #### setAttributemacro

          public HTCOLDISTANCENode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTCOLDISTANCENode setComment(java.lang.String value)

    - #### bindComment

          public HTCOLDISTANCENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTCOLDISTANCENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTCOLDISTANCENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public HTCOLDISTANCENode setReference(java.lang.String value)

    - #### setRendered

          public HTCOLDISTANCENode setRendered(java.lang.String value)

    - #### bindRendered

          public HTCOLDISTANCENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTCOLDISTANCENode setRendered(boolean value)

    - #### setStyleClass

          public HTCOLDISTANCENode setStyleClass(java.lang.String value)

    - #### bindStyleClass

          public HTCOLDISTANCENode bindStyleClass(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTCOLDISTANCENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTCOLDISTANCENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public HTCOLDISTANCENode setWidth(java.lang.String value)

    - #### bindWidth

          public HTCOLDISTANCENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTCOLDISTANCENode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.